Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- abort() : Lucene::DocConsumer , Lucene::DocConsumerPerThread , Lucene::DocFieldConsumerPerField , Lucene::DocFieldConsumersPerThread , Lucene::DocumentsWriter , Lucene::NormsWriterPerThread , Lucene::StoredFieldsWriter , Lucene::DocWriter , Lucene::StoredFieldsWriterPerDoc , Lucene::StoredFieldsWriterPerThread , Lucene::DocFieldProcessor , Lucene::SkipDocWriter , Lucene::TermsHash , Lucene::TermsHashConsumer , Lucene::WaitQueue , Lucene::TermsHashConsumerPerThread , Lucene::TermsHashPerField , Lucene::DocFieldConsumerPerThread , Lucene::DocFieldProcessorPerField , Lucene::FreqProxTermsWriter , Lucene::TermsHashPerThread , Lucene::TermVectorsTermsWriter , Lucene::FreqProxTermsWriterPerField , Lucene::TermVectorsTermsWriterPerDoc , Lucene::TermVectorsTermsWriterPerField , Lucene::DocFieldProcessorPerThread , Lucene::FreqProxTermsWriterPerThread , Lucene::TermVectorsTermsWriterPerThread , Lucene::InvertedDocConsumer , Lucene::DocFieldConsumer , Lucene::DocFieldConsumersPerDoc , Lucene::DocFieldProcessorPerThreadPerDoc , Lucene::InvertedDocConsumerPerField , Lucene::InvertedDocConsumerPerThread , Lucene::DocInverter , Lucene::InvertedDocEndConsumer , Lucene::InvertedDocEndConsumerPerField , Lucene::DocFieldConsumersPerField , Lucene::DocInverterPerField , Lucene::InvertedDocEndConsumerPerThread , Lucene::OneMerge , Lucene::DocInverterPerThread , Lucene::NormsWriter , Lucene::NormsWriterPerField
- aborted : Lucene::OneMerge
- abortedFiles() : Lucene::DocumentsWriter
- aborting : Lucene::DocumentsWriter
- AbstractAllTermDocs() : Lucene::AbstractAllTermDocs
- AbstractField() : Lucene::AbstractField
- accept() : Lucene::FieldSelector , Lucene::IndexFileNameFilter , Lucene::LoadFirstFieldSelector , Lucene::MapFieldSelector , Lucene::SetBasedFieldSelector , Lucene::SinkFilter , Lucene::AcceptAllSinkFilter , Lucene::SinkTokenStream
- acceptsDocsOutOfOrder() : Lucene::BooleanScorerCollector , Lucene::Collector , Lucene::PositiveScoresOnlyCollector , Lucene::TimeLimitingCollector , Lucene::TopFieldCollector
- acquireRead() : Lucene::IndexWriter
- acquireTestLock() : Lucene::NativeFSLockFactory
- acquireWrite() : Lucene::IndexWriter
- acquireWriteLock() : Lucene::DirectoryReader , Lucene::IndexReader , Lucene::ReadOnlyDirectoryReader , Lucene::ReadOnlySegmentReader
- ACRONYM : Lucene::StandardTokenizer
- ACRONYM_DEP : Lucene::StandardTokenizer
- ACRONYM_TYPE() : Lucene::StandardFilter
- actualEnum : Lucene::FilteredTermEnum
- add() : Lucene::BooleanQuery , Lucene::CharArraySet , Lucene::Collection< TYPE > , Lucene::DisjunctionMaxQuery , Lucene::Document , Lucene::WaitQueue , Lucene::FieldInfos , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::HitQueueBase , Lucene::InvertedDocConsumerPerField , Lucene::MergeSpecification , Lucene::MultiPhraseQuery , Lucene::NormalizeCharMap , Lucene::ParallelReader , Lucene::PhraseQuery , Lucene::PriorityQueue< TYPE > , Lucene::SegmentInfoCollection , Lucene::SegmentMerger , Lucene::Set< TYPE, LESS > , Lucene::TermInfosWriter , Lucene::TermsHashPerField , Lucene::TopFieldCollector
- addAll() : Lucene::Collection< TYPE > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::SegmentInfoCollection , Lucene::Set< TYPE, LESS >
- addAllDocVectors() : Lucene::TermVectorsWriter
- addAnalyzer() : Lucene::PerFieldAnalyzerWrapper
- addAttribute() : Lucene::AttributeSource
- addBuffer() : Lucene::RAMFile
- addBytesUsed() : Lucene::BufferedDeletes
- addClause() : Lucene::QueryParser
- addDeleteDocID() : Lucene::DocumentsWriter
- addDeleteQuery() : Lucene::DocumentsWriter
- addDeleteTerm() : Lucene::DocumentsWriter
- addDetail() : Lucene::Explanation
- addDoc() : Lucene::FormatPostingsDocsConsumer , Lucene::FormatPostingsDocsWriter
- addDocument() : Lucene::DocumentsWriter , Lucene::FieldsWriter , Lucene::IndexWriter
- addEscapes() : Lucene::QueryParseError
- addField() : Lucene::DocFieldConsumerPerThread , Lucene::DocFieldConsumersPerThread , Lucene::DocInverterPerThread , Lucene::FieldsReader , Lucene::FormatPostingsFieldsConsumer , Lucene::FormatPostingsFieldsWriter , Lucene::FreqProxTermsWriterPerThread , Lucene::InvertedDocConsumerPerThread , Lucene::InvertedDocEndConsumerPerThread , Lucene::NormsWriterPerThread , Lucene::StoredFieldsWriterPerThread , Lucene::TermsHashConsumerPerThread , Lucene::TermsHashPerThread , Lucene::TermVectorsTermsWriterPerDoc , Lucene::TermVectorsTermsWriterPerThread
- addFieldLazy() : Lucene::FieldsReader
- addFieldSize() : Lucene::FieldsReader
- addFile() : Lucene::CompoundFileWriter
- addIfExists() : Lucene::SegmentInfo
- addIndexed() : Lucene::FieldInfos , Lucene::SegmentMerger
- addIndexes() : Lucene::IndexWriter
- addIndexesNoOptimize() : Lucene::IndexWriter
- addInt() : Lucene::SortedVIntList
- addInternal() : Lucene::FieldInfos
- addMergeException() : Lucene::IndexWriter
- addMyself() : Lucene::ConcurrentMergeScheduler
- addOffCorrectMap() : Lucene::BaseCharFilter
- addOpenFile() : Lucene::DocumentsWriter
- addOverflow() : Lucene::HitQueueBase , Lucene::PriorityQueue< TYPE >
- addPosition() : Lucene::FormatPostingsPositionsWriter , Lucene::PositionInfo , Lucene::FormatPostingsPositionsConsumer
- addProhibitedScorers() : Lucene::BooleanScorer2
- addRange() : Lucene::LongRangeBuilder , Lucene::IntRangeBuilder , Lucene::NumericUtils
- addRawDocuments() : Lucene::FieldsWriter , Lucene::TermVectorsWriter
- addRef() : Lucene::CycleCheck
- addSinkTokenStream() : Lucene::TeeSinkTokenFilter
- addState() : Lucene::SinkTokenStream
- addStatic() : Lucene::CycleCheck
- addTerm() : Lucene::FormatPostingsTermsConsumer , Lucene::FormatPostingsTermsWriter , Lucene::FreqProxTermsWriterPerField , Lucene::TermsHashConsumerPerField , Lucene::TermVectorsTermsWriterPerField , Lucene::TermVectorsPositionInfo , Lucene::FormatPostingsTermsConsumer
- addThread() : Lucene::TermVectorsTermsWriter , Lucene::StoredFieldsWriter , Lucene::InvertedDocEndConsumer , Lucene::FreqProxTermsWriter , Lucene::NormsWriter , Lucene::DocFieldConsumer , Lucene::DocConsumer , Lucene::DocFieldConsumers , Lucene::DocFieldProcessor , Lucene::DocInverter , Lucene::InvertedDocConsumer , Lucene::TermsHash , Lucene::TermsHashConsumer , Lucene::TermsHash
- addToList() : Lucene::NearSpansUnordered
- adjustTop() : Lucene::ScorerDocQueue
- advance() : Lucene::ScoreCachingWrappingScorer , Lucene::FilteredDocIdSetIterator , Lucene::OpenBitSetIterator , Lucene::DocIdSetIterator , Lucene::BooleanScorer , Lucene::ReqExclScorer , Lucene::DisjunctionMaxScorer , Lucene::BucketScorer , Lucene::ConjunctionScorer , Lucene::BooleanScorer2 , Lucene::SingleMatchScorer , Lucene::DisjunctionSumScorer , Lucene::PhraseScorer , Lucene::ReqOptSumScorer , Lucene::SpanScorer , Lucene::TermScorer
- advanceAfterCurrent() : Lucene::DisjunctionSumScorer
- advanceAfterOrdered() : Lucene::NearSpansOrdered
- advanceDelGen() : Lucene::SegmentInfo
- advanceNormGen() : Lucene::SegmentInfo
- ALL : Lucene::SortedTermVectorMapper
- allInstances : Lucene::ConcurrentMergeScheduler
- allocator : Lucene::ByteBlockPool
- allocCount : Lucene::StoredFieldsWriter , Lucene::DocFieldConsumers , Lucene::TermVectorsTermsWriter , Lucene::DocFieldProcessorPerThread
- allocSlice() : Lucene::ByteBlockPool
- allowedSlop : Lucene::NearSpansOrdered
- allowLeadingWildcard : Lucene::QueryParser
- AllTermDocs() : Lucene::AllTermDocs
- allThreadsIdle() : Lucene::DocumentsWriter
- ALPHANUM : Lucene::StandardTokenizer
- AlreadyClosed : Lucene::LuceneException
- analyzer : Lucene::IndexWriter , Lucene::QueryParser , Lucene::DocState
- analyzerMap : Lucene::PerFieldAnalyzerWrapper
- AND : Lucene::QueryParserConstants
- AND_OPERATOR : Lucene::QueryParser
- andNot() : Lucene::OpenBitSet , Lucene::BitSet
- andNotCount() : Lucene::OpenBitSet
- any() : Lucene::BufferedDeletes
- anyChanges() : Lucene::DocumentsWriter
- anyExceptions : Lucene::ConcurrentMergeScheduler
- anyUnhandledExceptions() : Lucene::ConcurrentMergeScheduler
- APOSTROPHE : Lucene::StandardTokenizer
- APOSTROPHE_TYPE() : Lucene::StandardFilter
- appendChar() : Lucene::UTF8Encoder
- appendPostings() : Lucene::FreqProxTermsWriter , Lucene::SegmentMerger
- applyDeletes() : Lucene::DocumentsWriter , Lucene::IndexWriter , Lucene::DocumentsWriter
- applySlop() : Lucene::MultiFieldQueryParser
- arg : Lucene::QueryParser::JJCalls
- arr : Lucene::OpenBitSetIterator , Lucene::DoubleDocValues
- array : Lucene::Array< TYPE >
- Array() : Lucene::Array< TYPE >
- array_type : Lucene::Array< TYPE >
- arrayCopy() : Lucene::MiscUtils
- ArrayData() : Lucene::ArrayData< TYPE >
- arrayFill() : Lucene::MiscUtils
- ASCIIFoldingFilter() : Lucene::ASCIIFoldingFilter
- assertsOn() : Lucene::CheckIndex
- atMatch() : Lucene::NearSpansUnordered
- attribute : Lucene::AttributeSourceState
- AttributeFactory() : Lucene::AttributeFactory
- attributes : Lucene::AttributeSource
- attributeSource : Lucene::FieldInvertState
- AttributeSource() : Lucene::AttributeSource
- avgVal : Lucene::DocValues

clucene.sourceforge.net